from flask import Flask, render_template, request, redirect, url_for
import json
import estudiante, madre, admin, enfermera, facultad

app = Flask(__name__)

@app.route('/admin/', methods=['GET', 'POST'])
def index():
#     return "Hello, World!"
    return render_template('dashAdministracion.html')

@app.route('/admin/procesaUser', methods=['GET', 'POST'])
def procesaUser():
	data = request.form
	tipo_accion = getattr(__import__(data["tipo"]), data["accion"])
	return tipo_accion(data)
	
	
@app.route('/admin/forma/<accion>/<tipo>/', methods=['GET', 'POST'])
@app.route('/admin/forma/<accion>/<tipo>/<id>', methods=['GET', 'POST'])
def formas(accion,tipo,id=None):
	return render_template('forma.html', tipo=tipo, accion=accion, id=id, user_type="admin")

    
@app.route('/admin/formaDatos/<accion>/<tipo>/', methods=['GET', 'POST'])
@app.route('/admin/formaDatos/<accion>/<tipo>/<id>', methods=['GET', 'POST'])
def formaEst(accion, tipo, id=None):
# 	data = json.loads('formaEstudiantes.json')
	if(accion=="add"):
		return __import__(tipo).add_form()
	if(accion=="edit"):
		resultado=__import__(tipo).edit_form(id)
		if resultado==False:
# 			return __import__(tipo).add_form()
# 			return render_template('error.html',tipo=tipo)
# 			return redirect(url_for("maneja_error_user",tipo="facultad"))
			return {"error":True,"tipo":tipo,"user_type":"admin"}
		else:
			return resultado

@app.route('/admin/dashAdmin', methods=['GET', 'POST'])
def dashAdmin():
# 	data = json.loads('formaEstudiantes.json')
	return '{"tasks": [ { "titulo": "Estudiantes", "url": "admin/estudiantes.html" }, { "titulo": "Facultad", "url": "admin/facultad.html" }, { "titulo": "Administración", "url": "admin/adminstracion.html" }, { "titulo": "Enfermeria", "url": "admin/enfermeria.html" }, { "titulo": "Madres", "url": "admin/madres.html" }, { "titulo": "Cursos", "url": "admin/cursos.html" }, { "titulo": "Matricula", "url": "admin/matricula.html" }, { "titulo": "Transcripción", "url": "admin/transcripcion.html" }, { "titulo": "Oferta", "url": "admin/oferta.html" }, { "titulo": "Visita Oficina", "url": "admin/oficina.html" }, { "titulo": "Mensajes", "url": "admin/mensajes.html" } ], "titulo": "Administración"}'


@app.route('/admin/error/<tipo>', methods=['GET', 'POST'])
def maneja_error_user(tipo):
	return render_template('error.html',tipo=tipo)

# print(formaEst("edit","estudiante",3))